@Echo off
@title Patcheur Megaman Starforce 3 Black Ace FR 2.0 - Par Jericho

set not_f=goto manque_fichier
if not exist PROG\md5.exe %not_f%
if not exist "ROM Originale" %not_f%
if not exist rockman_generation.txt %not_f%
PROG\md5.exe -n "rockman_generation.txt" >"PROG\RG.txt"
FOR /F "delims=" %%a in ('type "PROG\RG.txt"') do (
del PROG\RG.txt
if 4C8C90196D3E13A39F45B7F0228876F0 NEQ %%a goto manque_fichier
)

:suite
set file=Megaman_Starforce_3_Black_Ace_2022_06_25.nds
set file_undub=Megaman_Starforce_3_Black_Ace_UNDUB_2022_06_25.nds
if exist "ROM Traduite" RD "ROM Traduite" /S /Q
if not exist "ROM Originale\*.nds" goto not_exist


:start
copy "%cd%\ROM Originale\*.nds" "*.nds" /Y>nul
ren *.nds rom.nds
cls
echo.
echo                                Traitement en cours ...
echo.
goto patch



:patch
PROG\md5.exe -n "rom.nds" >"PROG\rom.txt"
FOR /F "delims=" %%a in ('type "PROG\rom.txt"') do (
del PROG\rom.txt
if not exist "PROG\%%a.xdelta" goto patch_not_exist
MD "ROM Traduite"
PROG\xdelta.exe -d -vfs "rom.nds" "PROG\%%a.xdelta" "ROM Traduite\%file%">nul
)
:patch_undub
copy "ROM Traduite\%file%" undub.nds /Y>nul
PROG\xdelta.exe -d -vfs "undub.nds" "PROG\Undub.xdelta" "ROM Traduite\%file_undub%">nul
cls
color 2F
echo.
echo                                Traitement Termin‚ ...
echo.
echo                     La ROM patch‚ est dans le dossier "ROM Traduite".
echo.
echo.
echo.
echo                                Thanks for playing !!
echo.
echo.
goto del



:not_exist
cls
color 5F
echo.
echo                        Aucune ROM NDS n'a ‚t‚ trouv‚e dans
echo                            le dossier "ROM Originale"
echo.
echo                       Veuillez vous assurer que celle-ci y
echo                     est bien pr‚sente puis r‚essayez, merci.
echo.               
echo.
goto del

:patch_not_exist
cls
color 5F
echo.
echo                             Aucun PATCH NDS n'a ‚t‚ cr‚‚
echo                                   avec cette ROM.
echo.
echo                       Contactez-nous afin d'ajouter votre Rom
echo                        aux diff‚rents patchs existant, merci.
echo.               
echo.
goto del


:del
if exist patch RD patch /S /Q >nul
if exist *.nds del *.nds>nul
goto end

:manque_fichier
cls
color 5F
echo.
echo                         L'archive du patch t‚l‚charg‚ n'est pas bonne
echo                                  ou a ‚t‚ modifi‚e
echo.                          car il manque un ou plusieurs fichiers.
echo.
echo.
echo                  Merci de voir pour re-t‚l‚charger … nouveau sur le site de
echo                               -- Rockman Generation --
echo.
echo.
echo                               Si le problŠme persiste,
echo                             Merci de nous en faire part.
echo.

goto end


:end
echo.
echo.
echo.                                 ..................
echo.
echo.
echo                          Pressez une touche pour quitter...
notepad rockman_generation.txt
pause>nul